Bug 74959 - Konquror crahes when mp3 file is clicked
Konquror crahes when mp3 file is clicked
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-03 02:14 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-04 15:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-03 02:14:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
whenever i click on any mp3 file the konqorer crashes 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open Konqurer
2.go to a directory where mp3's are placed
3.click on the file

Actual Results:  CRASH

Expected Results:  some player should have started playing the mp3 or should hae
asked what application i want to execute for this type of file

Additional info:

(no debugging symbols found)...[New Thread 8192 (LWP 28140)]
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e1cc63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x4062d1a5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x408eed67 in QObject::connect(QObject const*, char const*, QObject const*,
char const*) () from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#6  0x406432f3 in KLibrary::slotObjectCreated(QObject*) ()
   from /usr/lib/libkdecore.so.4
#7  0x40644da6 in KLibrary::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdecore.so.4
#8  0x408efd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#9  0x40645272 in KLibFactory::objectCreated(QObject*) ()
   from /usr/lib/libkdecore.so.4
#10 0x40082941 in KParts::Factory::createPart(QWidget*, char const*, QObject*,
char const*, char const*, QStringList const&) () from /usr/lib/libkparts.so.2
#11 0x41326343 in KonqViewFactory::create(QWidget*, char const*, QObject*, char
const*) () from /usr/lib/konqueror.so
#12 0x4131b32f in KonqFrame::attach(KonqViewFactory const&) ()
   from /usr/lib/konqueror.so
#13 0x4130eaf7 in KonqView::switchView(KonqViewFactory&) ()
   from /usr/lib/konqueror.so
#14 0x4130efd0 in KonqView::changeViewMode(QString const&, QString const&) ()
   from /usr/lib/konqueror.so
#15 0x412ed4a5 in KonqMainWindow::openView(QString, KURL const&, KonqView*,
KonqOpenURLRequest) () from /usr/lib/konqueror.so
#16 0x412ec960 in KonqMainWindow::openURL(KonqView*, KURL const&, QString
const&, KonqOpenURLRequest const&, bool) () from /usr/lib/konqueror.so
#17 0x412ee913 in KonqMainWindow::openURL(KonqView*, KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#18 0x412ee4c3 in KonqMainWindow::slotOpenURLRequest(KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#19 0x41306ac6 in KonqMainWindow::qt_invoke(int, QUObject*) ()
   from /usr/lib/konqueror.so
#20 0x408efd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#21 0x40081637 in KParts::BrowserExtension::openURLRequestDelayed(KURL const&,
KParts::URLArgs const&) () from /usr/lib/libkparts.so.2
#22 0x400804c0 in KParts::BrowserExtension::slotEmitOpenURLRequestDelayed() ()
   from /usr/lib/libkparts.so.2
#23 0x400821ba in KParts::BrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkparts.so.2
#24 0x41d10d88 in IconViewBrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/konq_iconview.so
#25 0x408efd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#26 0x40bb69f2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#27 0x40909298 in QSignal::activate() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#28 0x40910933 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#29 0x4089bc49 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#30 0x4089b4f1 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#31 0x405c19a6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#32 0x4083ea88 in qt_activate_timers() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#33 0x4083c330 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#34 0x4089d280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#35 0x4083c02d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#36 0x412e65e7 in main () from /usr/lib/konqueror.so
#37 0x0804cb9f in strcpy ()
#38 0x0804d8bb in strcpy ()
#39 0x0804dd7c in strcpy ()
#40 0x0804eb40 in strcpy ()
#41 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Ali-Reza Anghaie 2002-10-03 14:04:35 EDT
Two things: RH doesn't ship STD w/ MP3 support anymore. Patent issues (see all 
sorts of XMMS submitted bugs as well).. 
Also, check bug 74850 .. Cheers, -Ali
Comment 2 Need Real Name 2002-10-04 15:22:13 EDT
well i resolved the workaround but the problem remains same. The workaround is
that i changed the file association not to start the default embedded player.
Instead use my mp3 player. 
Comment 3 Ngo Than 2002-10-05 17:35:37 EDT
it's a bug in kdemultimedia. The kdemultimedia-3.0.3-5 or new should fix this
problem. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.